Bug 1292377 - Please rebuild fio to support RDMA
Please rebuild fio to support RDMA
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: fio (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 04:20 EST by Honggang LI
Modified: 2016-02-28 15:24 EST (History)
1 user (show)

See Also:
Fixed In Version: fio-2.0.13-2.el6 fio-2.2.8-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 19:57:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honggang LI 2015-12-17 04:20:44 EST
Description of problem:

[root@rdma-dev-04 ~]$ yum info fio
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Installed Packages
Name        : fio
Arch        : x86_64
Version     : 2.0.13
Release     : 1.el6
Size        : 1.1 M
Repo        : installed
From repo   : epel
Summary     : Multithreaded IO generation tool
URL         : http://git.kernel.dk/?p=fio.git;a=summary
License     : GPLv2
Description : fio is an I/O tool that will spawn a number of threads or processes doing
            : a particular type of io action as specified by the user.  fio takes a
            : number of global parameters, each inherited by the thread unless
            : otherwise parameters given to them overriding that setting is given.
            : The typical use of fio is to write a job file matching the io load
            : one wants to simulate.

[root@rdma-dev-04 ~]$ 
[root@rdma-dev-04 ~]$ 
[root@rdma-dev-04 ~]$ rpm -ql fio | grep rdma
/usr/share/doc/fio-2.0.13/examples/rdmaio-client
/usr/share/doc/fio-2.0.13/examples/rdmaio-server
[root@rdma-dev-04 ~]$ 
[root@rdma-dev-04 ~]$ 
[root@rdma-dev-04 ~]$ fio /usr/share/doc/fio-2.0.13/examples/rdmaio-client
sender: (g=0): rw=write, bs=1M-1M/1M-1M/1M-1M, ioengine=rdma, iodepth=1
fio-2.0.13
Starting 1 process
fio: rdma(librdmacm libibverbs) not available
     You haven't compiled rdma ioengine into fio.
     If you want to try rdma ioengine,
     make sure OFED is installed,
     $ ofed_info
     then try to make fio as follows:
     $ export EXTFLAGS+=" -DFIO_HAVE_RDMA "
     $ export EXTLIBS+=" -libverbs -lrdmacm "
     $ make clean && make
fio: pid=25153, err=1/


Run status group 0 (all jobs):
[root@rdma-dev-04 ~]$ 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2015-12-22 01:53:45 EST
fio-2.0.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-818ee65fd4
Comment 2 Honggang LI 2015-12-22 02:02:16 EST
Is it necessary to clone a bug for rhel7 EPEL?
Comment 3 Eric Sandeen 2015-12-22 12:18:36 EST
I have it committed for rhel7 already, but I'm having trouble kicking off a build.  I don't think we necessarily need a new bug.

Did the rhel6 build work for you?

Thanks,
-Eric
Comment 4 Fedora Update System 2015-12-22 13:06:21 EST
fio-2.2.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ed8fdfc2b8
Comment 5 Honggang LI 2015-12-22 23:21:43 EST
(In reply to Eric Sandeen from comment #3)
> I have it committed for rhel7 already, but I'm having trouble kicking off a
> build.  I don't think we necessarily need a new bug.
> 
> Did the rhel6 build work for you?

Both the rhel6 and rhel7 build work for me. Thank you very much.
Comment 6 Fedora Update System 2015-12-24 00:48:38 EST
fio-2.0.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-818ee65fd4
Comment 7 Fedora Update System 2015-12-26 22:21:01 EST
fio-2.2.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ed8fdfc2b8
Comment 8 Fedora Update System 2016-01-08 19:57:01 EST
fio-2.0.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-28 15:24:48 EST
fio-2.2.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.